/* apccomm_pc_tr.h
   Part of "APCComm" 
   Copyright (C) 2000,2001,2006,2007 Ralf Hoffmann
   Contact: ralf@boomerangsworld.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/

#ifndef APCCOMM_PC_TR_H
#define APCCOMM_PC_TR_H

#include <unistd.h>
#include <sys/time.h>
#include <parapin.h>
#include <errno.h>
#include "apccomm_all.h"

void synchro();
void transferblock();

/* normally only called by sendcommand() */
int sendfile(const char *name, int mode);

/* Send a command
 * arg is used for file/dirname
 */
int sendcommand(apc_command_t com,const char *arg, int mode);

int recvcommand(apc_command_t *com,char **arg, int *mode);

int recvfile();

void setack( int value );
int getack();
int getnibble();
void putvalue( int value );

void enable_tpp_in_tr_core();

#endif
